package LasTres::Planet::Bahdder::BosqueDelHeroe;

use v5.36.0;

use strict;
use warnings;

use Moo;

with 'LasTres::SuperArea';

use Module::Pluggable search_path => ['LasTres::Planet::Bahdder::BosqueDelHeroe'];

has areas => (
    is => 'lazy'
);

sub identifier {
    return 'bosque_del_heroe';
}

sub _build_areas {
    my $self = shift;
    my $hash = {};
    my @areas = $self->plugins();
    for $area (@areas) {
        $hash->{$area->identifier} = $area;
    }
    return $hash;
}

sub name {
    return 'Bosque del Héroe';
}

sub description {
    return 'El Bosque del Héroe es el pulmón del planeta Bahdder. '
    . 'Se cree que solo una pequeña parte de las especies que viven en el mismo han sido catalogadas. '
    . 'Los áldimor viven en este bosque en armonía con la naturaleza. '
    . 'En este bosque se encuentra la Torre de hechicería Áldimor, lugar donde los áldimor más talentosos aprenden '
    . 'a usar la magia para la guerra. ';
}

sub parent {
    return LasTres::Planet::Bahdder->new;
}
1;
